## db4o 6.1.401~dfsg

=== Makefile ===
#
# Makefile for db4o Mono RPM
#
DB4O_VERSION=6.1
DIR_HOME=.
DIR_BIN=$(DIR_HOME)/bin
DIR_SRC=$(DIR_HOME)/src
DIR_DOC=$(DIR_HOME)/doc
ifdef RPM_BUILD_ROOT
	DIR_INSTALL_BIN=$(RPM_BUILD_ROOT)/usr/lib/db4o
else
	DIR_INSTALL_BIN=/usr/lib/db4o
endif
ifdef RPM_DOC_DIR
	DIR_INSTALL_DOC=$(RPM_BUILD_ROOT)/$(RPM_DOC_DIR)/$(RPM_PACKAGE_NAME)-$(RPM_PACKAGE_VERSION)
else
	DIR_INSTALL_DOC=/usr/share/doc/db4o-$(DB4O_VERSION)
endif

MAIN_TEST=com.db4o.test.AllTests

MCS_OPTS=-warn:0 -debug+ -define:MONO

MCS=mcs

buildall:
	make -C $(DIR_SRC)
	mv $(DIR_SRC)/bin  $(DIR_BIN)
	cp $(DIR_HOME)/licenses/* $(DIR_BIN)

clean:
	rm -rf $(DIR_BIN)
	
install:
	mkdir -p $(DIR_INSTALL_BIN)
	cp -R $(DIR_BIN)/* $(DIR_INSTALL_BIN)
ifndef RPM_DOC_DIR
	mkdir -p $(DIR_INSTALL_DOC)
	cp -R $(DIR_DOC)/* $(DIR_INSTALL_DOC)
endif

.PHONY: clean buildall

## db4o 6.1.604+dfsg

=== src/Makefile ===

MAKE = make
CORE = Db4objects.Db4o
TESTS = Db4objects.Db4o.Tests
TOOLS = Db4objects.Db4o.Tools
UNIT = Db4oUnit
UNIT_EXT = Db4oUnit.Extensions
ADMIN = Db4oAdmin

LIBS = Libs/net-2.0

OUTDIR = ./bin

all: prebuild build postbuild

prebuild:
	[ -d $(OUTDIR) ] || mkdir $(OUTDIR)
	cp $(LIBS)/*.dll $(OUTDIR)

build: tests admin

postbuild:

tests: tools unit_ext
	cd $(TESTS) ; $(MAKE)

tools: core
	cd $(TOOLS) ; $(MAKE)

unit_ext: unit
	cd $(UNIT_EXT) ; $(MAKE)

unit:
	cd $(UNIT) ; $(MAKE)

core:
	cd $(CORE) ; $(MAKE)

admin: tools
	cd $(ADMIN) ; $(MAKE)

clean:
	rm -rf $(OUTDIR)

=== src/Db4oAdmin/Makefile ===

include ../include.mk

WORKDIR = Db4oAdmin

TARGET = exe
ASSEMBLY = $(ADMIN)
REFERENCES = -r:$(OUTDIR)/$(TOOLS) -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS) -r:$(OUTDIR)/$(GETOPTIONS)

=== src/Db4oUnit/Makefile ===

include ../include.mk

TARGET = library
ASSEMBLY = $(UNIT)
REFERENCES =

=== src/Db4objects.Db4o.Tests/Makefile ===

include ../include.mk

TARGET = exe
ASSEMBLY = $(TESTS)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(TOOLS) -r:$(OUTDIR)/$(UNIT) -r:$(OUTDIR)/$(UNIT_EXT) -r:System.Drawing
OPT_MCS_FLAGS = -main:Db4objects.Db4o.Tests.AllTests

=== src/Db4objects.Db4o.Tools/Makefile ===

include ../include.mk

TARGET = library
ASSEMBLY = $(TOOLS)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS)

## db4o 7.4.121.14026+dfsg

=== src/Makefile ===

MAKE = make
CORE = Db4objects.Db4o
TESTS = Db4objects.Db4o.Tests
UNIT = Db4oUnit
UNIT_EXT = Db4oUnit.Extensions
INSTR = Db4objects.Db4o.Instrumentation
NQ = Db4objects.Db4o.NativeQueries
TOOL = Db4oTool/Db4oTool
TOOL_TESTS = Db4oTool/Db4oTool.Tests
LINQ = Db4objects.Db4o.Linq
LINQ_TESTS = Db4objects.Db4o.Linq.Tests
LINQ_INSTR_TESTS = Db4objects.Db4o.Linq.Instrumentation.Tests

LIBS = Libs/net-2.0

OUTDIR = ./bin

all: prebuild build postbuild

prebuild:
	[ -d $(OUTDIR) ] || mkdir $(OUTDIR)
	cp $(LIBS)/*.dll $(OUTDIR)

build: core nq linq tool tests

postbuild:

tests: unit_ext tool_tests linq_instr_tests
	cd $(TESTS) ; $(MAKE)

linq_tests:
	cd $(LINQ_TESTS) ; $(MAKE)

linq_instr_tests: linq_tests instr
	cd $(LINQ_INSTR_TESTS) ; $(MAKE)

tool_tests:
	cd $(TOOL_TESTS) ; $(MAKE)

tool:
	cd $(TOOL) ; $(MAKE)

unit_ext: unit
	cd $(UNIT_EXT) ; $(MAKE)

unit:
	cd $(UNIT) ; $(MAKE)

instr:
	cd $(INSTR) ; $(MAKE)

nq: instr
	cd $(NQ) ; $(MAKE)

linq:
	cd $(LINQ) ; $(MAKE)

core:
	cd $(CORE) ; $(MAKE)

clean:
	rm -rf $(OUTDIR)

=== src/Db4objects.Db4o.Tests/Makefile ===

include ../include.mk

TARGET = exe
ASSEMBLY = $(TESTS)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(UNIT) -r:$(OUTDIR)/$(UNIT_EXT) -r:$(OUTDIR)/$(INSTR) -r:$(OUTDIR)/$(NQ) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS) -r:System.Drawing 
OPT_MCS_FLAGS = -main:Db4objects.Db4o.Tests.AllTests

=== src/Db4oTool/Db4oTool/Makefile ===

include ../../include.mk

OUTDIR = ../../bin

TARGET = exe
ASSEMBLY = $(TOOL)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(INSTR) -r:$(OUTDIR)/$(NQ) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS) -r:$(OUTDIR)/$(GETOPTIONS)

## db4o 8.0.184.15484%2Bdfsg2

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_CLI_ABI_VERSION = 8.0
DEB_CLI_API_VERSION = 8.0.184.15484

override_dh_auto_build:
	xbuild /property:Configuration=Release /property:DefineConstants="MONO" /property:DocumentationFile="Db4objects.Db4o.dll.xml" src/Db4o-2010.sln
	mdoc update \
	  -i $(CURDIR)/src/Db4objects.Db4o/Db4objects.Db4o.dll.xml \
	  -o $(CURDIR)/tmp/monodocer \
	  $(CURDIR)/src/Db4objects.Db4o/bin/Release/Db4objects.Db4o.dll
	mdoc assemble \
	  -f ecma \
	  -o $(CURDIR)/tmp/Db4objects.Db4o \
	  $(CURDIR)/tmp/monodocer
	cp `pkg-config --variable=Libraries mono-cecil` tmp/
	cp `pkg-config --variable=Libraries cecil-flowanalysis` tmp/
	cp `pkg-config --variable=Libraries mono.reflection` tmp/
	perl -pe 's/#PACKAGE_ABI_VERSION#/$(DEB_CLI_ABI_VERSION)/g' \
	  $(CURDIR)/debian/db4o.pc.in > debian/db4o.pc

override_dh_auto_clean:
	xbuild /property:Configuration=Release /property:DefineConstants="MONO" /target:Clean src/Db4o-2010.sln
	rm -rf tmp
	rm -f debian/db4o.pc
	find src -type d -name bin -exec rm -rf {} \;
	find src -type d -name obj -exec rm -rf {} \;

override_dh_auto_install:
	dh_auto_install

override_dh_compress:
	dh_compress -i -Xapi/ -Xtutorial/ -Xreference/

override_dh_makeclilibs:
	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)

%:
	dh $@ --with cli

## db4o 8.0.184.15484+dfsg

=== src/Db4objects.Db4o.Optional/Makefile ===

include ../include.mk

TARGET = library
ASSEMBLY = $(OPTIONAL)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(CS)

=== src/Db4objects.Db4o.Tests/Makefile ===

include ../include.mk

TARGET = exe
ASSEMBLY = $(TESTS)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(CS) -r:$(OUTDIR)/$(OPTIONAL) -r:$(OUTDIR)/$(UNIT) -r:$(OUTDIR)/$(UNIT_EXT) -r:$(OUTDIR)/$(INSTR) -r:$(OUTDIR)/$(NQ) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS) -r:System.Drawing 
OPT_MCS_FLAGS = -main:Db4objects.Db4o.Tests.AllTests

=== src/Db4oTool/Db4oTool.Tests/Makefile ===

include ../../include.mk

OUTDIR = ../../bin

precompile:
	[ -d $(OUTDIR) ] || mkdir $(OUTDIR)
	find $(WORKDIR) -name "*.cs" | egrep -v 'Resources'> $(RESPONSE_FILE)

TARGET = exe
ASSEMBLY = $(TOOL_TESTS)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(INSTR) -r:$(OUTDIR)/$(NQ) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS) -r:$(OUTDIR)/$(TOOL) -r:$(OUTDIR)/$(UNIT) -r:$(OUTDIR)/$(UNIT_EXT)

=== debian/changelog ===
db4o (8.0.184.15484+dfsg-2) unstable; urgency=low

  [ Iain Lane ]
  * [7269e42] Don't use deprecated cli.make

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 16:05:54 +0000

db4o (8.0.184.15484+dfsg-1) experimental; urgency=low

  * [12bbf33] Imported Upstream version 8.0.184.15484+dfsg
  * [38f1873] Remove all obsolete patches.
  * [bd2d9b2] The bundled Cecil with Db4o upstream doesn't quite match what we
              ship in Debian. Add a couple of copy-paste methods to an 
              interface implementation, to match the current specification.
  * [a635faa] In many cases, making the test harness assemblies shipped with a
              library work is harder work than the library itself - so strip 
              all the test projects from the main Solution file.
  * [188d11c] Port the Db4oTool options parsing code from the dead 
              Mono.GetOptions library to the rather less dead Mono.Options 
              library. This is largely based on a patch by Carlos Martín Nieto
              <carlos@cmartin.tk>.
  * [dc252e1] The new ABI version is 8.0, so update various packaging files 
              accordingly.
  * [5649714] Switch from standalone Quilt to DebSrc 3.0 (Quilt)
  * [d035609] Bump Standards version to 3.9.2 (no changes).
  * [a543d2c] Split db4otool into its own package - it causes problems for our
              packaging policy to have an unversioned file like 
              /usr/bin/db4otool in a versioned library package like 
              libdb4o8.0-cil.
  * [61682b0] Get rid of Makefile-mangling shell scripts, since we use xbuild
              now.
  * [4a8a48a] Convert build system to a pure xbuild setup, and refresh install
              files to use the xbuild build locations.
  * [6c41c74] This is a 4.0-only build, so use 4.0-only build-depends.
  * [810c928] Add more fixed to build-depends for building on 4.0.
  * [6e67796] Xbuild seems to like picking up on Cecil from Mono's private 
              path, so hint it the location of our system Cecil.
  * [e73beb4] Refresh Mono.Options patch due to changes in the related csproj
              file.
  * [aa0a90d] Don't try to put files outside $(CURDIR) in debian/install. 
              Instead, copy them to a local folder and use that.
  * [3ba6c3c] Move various manual hacks from install to build rule, where
              they belong.
  * [8e3de09] Move db4otool script into its own folder - you cannot have a 
              file in debian/ with the same name as a package.

 -- Jo Shields <directhex@apebox.org>  Tue, 16 Aug 2011 17:07:39 +0100

db4o (7.4.121.14026+dfsg-3) unstable; urgency=low

  * debian/db4o.pc,
    debian/control:
    + Actually, DON'T add a Requires for mono-cecil.
  * debian/libdb4o7.4-cil.install:
    + Copy Mono.Cecil to each of the four /usr/lib/cli output directories,
      since it's a private lib and they all reference it.

 -- Jo Shields <directhex@apebox.org>  Sun, 25 Jul 2010 13:24:29 +0100

db4o (7.4.121.14026+dfsg-2) unstable; urgency=low

  * debian/db4o.pc:
    + Include all four db4o assemblies in the pkgconfig file's references,
      not just the main db4o assembly.
  * debian/rules:
    + Ensure regular expression dealing with ABI versioning in db4o.pc is
      greedy, since we have multiple substitutions per line now.
  * debian/db4o.pc,
    debian/control:
    + Ensure db4o.pc requires mono-cecil.pc (and that the -dev package
      also does so).

 -- Jo Shields <directhex@apebox.org>  Sun, 25 Jul 2010 12:09:58 +0100

db4o (7.4.121.14026+dfsg-1) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    - Vcs-* fields updated, package moved to Git
    - moved from Section libs to cli-mono
    - replaced Build-Dependency on dpatch with quilt
    - bumped B-D on quilt (>= 0.46-7~), debhelper (>= 7.0.50) and
      cli-common-dev (>= 0.5.7)
  * debian/rules:
    - fixed monodoc calls to use mdoc (Closes: #534009)
    - include quilt makefile instead of dpatch's
    - rewritten using overriden targets and dh7
  * debian/patches/* converted to quilt

  [ Jo Shields ]
  * debian/libdb4o7.4-cil.install*,
    debian/rules,
    debian/db4o.pc:
    + CLI Policy 0.7 install location
  * debian/copyright:
    + Update for new license & new company name

  [ Iain Lane ]
  * debian/patches/01-dos2unix.patch: Regenerate; didn't apply before
  * debian/rules:
    + Update to be more DH7ish
    + Use mono-csc as compiler, per latest CLI policy
  * debian/control: Bump mono-devel build-dep to >= 2.4.2.3 to have mono-csc
    available
  * debian/compat: Use compat level 7 so that dh_install looks in debian/tmp
    without having to be explicitly told so
  * New upstream version 7.4.121.14026 (which now builds. Closes: #534009), 
    DFSGed to remove precompiled binaries from the tarball. Here is a list of
    the deleted binaries:
    - omn2008/ObjectManagerEnterprise-vs2008-7.4.msi
    - src/Libs/net-2.0/Mono.GetOptions.dll
    - src/Libs/net-2.0/Cecil.FlowAnalysis.dll
    - src/Libs/net-2.0/Mono.Cecil.dll
    - src/Libs/net-2.0/Mono.Cecil.Pdb.dll
    - src/Libs/compact-2.0/Cecil.FlowAnalysis.dll
    - src/Libs/compact-2.0/Mono.Cecil.dll
    - omn2005/ObjectManagerEnterprise-vs2005-7.4.msi
    - bin/net-2.0/Mono.GetOptions.dll
    - bin/net-2.0/Db4objects.Db4o.dll
    - bin/net-2.0/Db4oTool.MSBuild.dll
    - bin/net-2.0/Cecil.FlowAnalysis.dll
    - bin/net-2.0/Db4objects.Db4o.NativeQueries.dll
    - bin/net-2.0/Db4objects.Drs.dll
    - bin/net-2.0/Db4oBench.dll
    - bin/net-2.0/Mono.Cecil.dll
    - bin/net-2.0/Db4objects.Db4o.Instrumentation.dll
    - bin/net-2.0/Mono.Cecil.Pdb.dll
    - bin/net-2.0/Db4oTool.exe
    - bin/compact-2.0/Db4objects.Db4o.dll
    - bin/compact-2.0/Cecil.FlowAnalysis.dll
    - bin/compact-2.0/Db4objects.Db4o.NativeQueries.dll
    - bin/compact-2.0/Db4oBench.dll
    - bin/compact-2.0/Mono.Cecil.dll
    - bin/compact-2.0/Db4objects.Db4o.Instrumentation.dll
    - doc/tutorial/db4o-7.4-tutorial.pdf
    - doc/tutorial/bin/Db4objects.Db4o.dll


=== debian/control ===
Source: db4o
Section: cli-mono
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: cli-common-dev (>= 0.8~),
 mono-devel (>= 2.10~),
 libmono-cecil-cil-dev (>= 0.9.5~),
 libmono-cecil-flowanalysis-cil-dev (>= 0.1~vcs20110809.r1.b34edf6-1~),
 libmono-reflection-cil-dev,
 pkg-config,
 monodoc-base
Standards-Version: 3.9.2
Homepage: http://www.db4o.com/
Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/db4o.git
Vcs-Git: git://git.debian.org/git/pkg-cli-libs/packages/db4o.git

Package: libdb4o8.0-cil
Architecture: all
Replaces: libdb4o6.1-cil, libdb4o6.0-cil
Conflicts: libdb4o6.1-cil, libdb4o6.0-cil
Suggests: libdb4o-doc, monodoc-db4o-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: native OODBMS for CLI
 db4o is the open source object database that enables Java and .NET developers
 to store and retrieve any application object with only one line of code,
 eliminating the need to predefine or maintain a separate, rigid data model.
 .
 This is the native CLI version of db4o for Mono and Microsoft .NET Framework,
 but there is also a native Java version, check http://www.db4o.com.

Package: libdb4o-cil-dev
Architecture: all
Replaces: libdb4o6.1-cil, libdb4o6.0-cil
Suggests: libdb4o-doc, monodoc-db4o-manual
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libdb4o8.0-cil (= ${binary:Version})
Description: native OODBMS for CLI - development files
 db4o is the open source object database that enables Java and .NET developers
 to store and retrieve any application object with only one line of code,
 eliminating the need to predefine or maintain a separate, rigid data model.
 .
 This is the native CLI version of db4o for Mono and Microsoft .NET Framework,
 but there is also a native Java version, check http://www.db4o.com.
 .
 This package contains development files for the db4o library, and should be
 for compilation

Package: db4otool
Architecture: all
Replaces: libdb4o7.4-cil, libdb4o6.1-cil, libdb4o6.0-cil
Breaks: libdb4o7.4-cil, libdb4o6.1-cil, libdb4o6.0-cil
Depends: ${cli:Depends}, ${misc:Depends}
Description: native OODBMS for CLI (documentation)
 db4o is the open source object database that enables Java and .NET developers
 to store and retrieve any application object with only one line of code,
 eliminating the need to predefine or maintain a separate, rigid data model.
 .
 This package contains the Db4oTool utility, used to manupilate Db4o databases.

Package: libdb4o-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser | xchm | kchmviewer
Description: native OODBMS for CLI (documentation)
 db4o is the open source object database that enables Java and .NET developers
 to store and retrieve any application object with only one line of code,
 eliminating the need to predefine or maintain a separate, rigid data model.
 .
 This package contains API reference and tutorial on db4o in HTML form.

Package: monodoc-db4o-manual
Section: doc
Architecture: all
Depends: monodoc-manual, ${misc:Depends}
Description: compiled XML documentation for db4o
 db4o is the open source object database that enables Java and .NET developers
 to store and retrieve any application object with only one line of code,
 eliminating the need to predefine or maintain a separate, rigid data model.
 .
 This package contains the compiled XML documentation for db4o.

## db4o 8.0.184.15484+dfsg2

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 
 MAKE = make
 CORE = Db4objects.Db4o
+CS = Db4objects.Db4o.CS
+OPTIONAL = Db4objects.Db4o.Optional
 TESTS = Db4objects.Db4o.Tests
 UNIT = Db4oUnit
 UNIT_EXT = Db4oUnit.Extensions
@@ -22,7 +24,7 @@
 	[ -d $(OUTDIR) ] || mkdir $(OUTDIR)
 	cp $(LIBS)/*.dll $(OUTDIR)
 
-build: core nq linq tool tests
+build: core cs optional nq linq tool tests
 
 postbuild:
 
@@ -59,5 +61,11 @@
 core:
 	cd $(CORE) ; $(MAKE)
 
+cs:
+	cd $(CS) ; $(MAKE)
+
+optional:
+	cd $(OPTIONAL) ; $(MAKE)
+
 clean:
 	rm -rf $(OUTDIR)

=== src/Db4oUnit.Extensions/Makefile ===

include ../include.mk

TARGET = library
ASSEMBLY = $(UNIT_EXT)
REFERENCES = -r:$(OUTDIR)/$(UNIT) -r:$(OUTDIR)/$(CORE)

=== src/Db4oUnit/Makefile ===

include ../include.mk

TARGET = library
ASSEMBLY = $(UNIT)
REFERENCES = -r:$(OUTDIR)/$(CORE)

=== src/Db4objects.Db4o.CS/Makefile ===

include ../include.mk

TARGET = library
ASSEMBLY = $(CS)
REFERENCES = -r:$(OUTDIR)/$(CORE)

=== src/Db4objects.Db4o.Instrumentation/Makefile ===

include ../../db4o.net/include.mk

OUTDIR = ../../db4o.net/bin

TARGET = library
ASSEMBLY = $(INSTR)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS)

=== src/Db4objects.Db4o.Linq.Instrumentation.Tests/Makefile ===

include ../include.mk

TARGET = exe
ASSEMBLY = $(LINQ_INSTR_TESTS)
REFERENCES = -r:$(OUTDIR)/$(TOOL) -r:$(OUTDIR)/$(TOOL_TESTS)
OPT_MCS_FLAGS = -out:$(OUTDIR)/Db4objects.Db4o.Linq.Instrumentation.Tests.exe

=== src/Db4objects.Db4o.Linq.Tests/Makefile ===

include ../include.mk

TARGET = exe
ASSEMBLY = $(LINQ_TESTS)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(UNIT) -r:$(OUTDIR)/$(UNIT_EXT) -r:$(OUTDIR)/$(LINQ) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS)
OPT_MCS_FLAGS = -main:Db4objects.Db4o.Linq.Tests.AllTests

=== src/Db4objects.Db4o.Linq/Makefile ===

include ../../db4o.net/include.mk

OUTDIR = ../../db4o.net/bin

TARGET = library
ASSEMBLY = Db4objects.Db4o.Linq.dll
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS)

=== src/Db4objects.Db4o.NativeQueries/Makefile ===

include ../../db4o.net/include.mk

OUTDIR = ../../db4o.net/bin

TARGET = library
ASSEMBLY = $(NQ)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(INSTR) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS)

=== src/Db4objects.Db4o/Makefile ===

include ../include.mk

TARGET = library
ASSEMBLY = $(CORE)
REFERENCES =

=== src/Db4oTool/Db4oTool/Makefile ===

include ../../include.mk

OUTDIR = ../../bin

TARGET = exe
ASSEMBLY = $(TOOL)
REFERENCES = -r:$(OUTDIR)/$(CORE) -r:$(OUTDIR)/$(OPTIONAL) -r:$(OUTDIR)/$(INSTR) -r:$(OUTDIR)/$(NQ) -r:$(OUTDIR)/$(CECIL) -r:$(OUTDIR)/$(FLOWANALYSIS) -r:$(OUTDIR)/$(GETOPTIONS)

=== debian/changelog ===
db4o (8.0.184.15484+dfsg2-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:34:12 +0100

db4o (8.0.184.15484+dfsg2-3) unstable; urgency=medium

  * [b2785c3] Build against 4.5 framework (Closes: #809564)

 -- Jo Shields <directhex@apebox.org>  Sun, 03 Jan 2016 13:46:18 +0000

db4o (8.0.184.15484+dfsg2-2) unstable; urgency=medium

  * No-change rebuild to avoid bug 804600 (Closes: #804311)

 -- Jo Shields <directhex@apebox.org>  Tue, 10 Nov 2015 09:14:00 +0000

db4o (8.0.184.15484+dfsg2-1) unstable; urgency=medium

  * [826a9b2] Delete libdb4o-doc package, since it uses minified JS and 
    life's too short to chase around looking for matching versions of 
    un-minified JS in the archive (Closes: #515933)
  * [337a5bf] Fix package descriptions (Closes: #720344)
  * [394fd18] Imported Upstream version 8.0.184.15484+dfsg2
    (Closes: #735767)
  * [53334dc] Ignore changes to autogenerated files

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 05 Nov 2015 09:38:40 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Architecture: all
 Replaces: libdb4o6.1-cil, libdb4o6.0-cil
 Conflicts: libdb4o6.1-cil, libdb4o6.0-cil
-Suggests: libdb4o-doc, monodoc-db4o-manual
+Suggests: monodoc-db4o-manual
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
 Description: native OODBMS for CLI
  db4o is the open source object database that enables Java and .NET developers
@@ -33,7 +33,7 @@
 Package: libdb4o-cil-dev
 Architecture: all
 Replaces: libdb4o6.1-cil, libdb4o6.0-cil
-Suggests: libdb4o-doc, monodoc-db4o-manual
+Suggests: monodoc-db4o-manual
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${cli:Depends},
@@ -54,24 +54,12 @@
 Replaces: libdb4o7.4-cil, libdb4o6.1-cil, libdb4o6.0-cil
 Breaks: libdb4o7.4-cil, libdb4o6.1-cil, libdb4o6.0-cil
 Depends: ${cli:Depends}, ${misc:Depends}
-Description: native OODBMS for CLI (documentation)
+Description: native OODBMS for CLI (tools)
  db4o is the open source object database that enables Java and .NET developers
  to store and retrieve any application object with only one line of code,
  eliminating the need to predefine or maintain a separate, rigid data model.
  .
- This package contains the Db4oTool utility, used to manupilate Db4o databases.
-
-Package: libdb4o-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Suggests: www-browser | xchm | kchmviewer
-Description: native OODBMS for CLI (documentation)
- db4o is the open source object database that enables Java and .NET developers
- to store and retrieve any application object with only one line of code,
- eliminating the need to predefine or maintain a separate, rigid data model.
- .
- This package contains API reference and tutorial on db4o in HTML form.
+ This package contains the Db4oTool utility, used to manipulate Db4o databases.
 
 Package: monodoc-db4o-manual
 Section: doc
